libunibreak-devel-4.1-6.1.i586.rpm


Advertisement

Description

libunibreak-devel - Development files for libunibreak

Property Value
Distribution openSUSE Tumbleweed
Repository Education all
Package filename libunibreak-devel-4.1-6.1.i586.rpm
Package name libunibreak-devel
Package version 4.1
Package release 6.1
Package architecture i586
Package type rpm
Category Development/Libraries/C and C++
Homepage https://github.com/adah1972/libunibreak
License Zlib
Maintainer -
Download size 15.47 KB
Installed size 23.38 KB
The libunibreak-devel package contains libraries and header files for
developing applications that use libunibreak.

Alternatives

Package Version Architecture Repository
libunibreak-devel-4.1-6.1.x86_64.rpm 4.1 x86_64 Education
libunibreak-devel-4.0-1.3.x86_64.rpm 4.0 x86_64 openSUSE Oss
libunibreak-devel-4.0-1.3.i586.rpm 4.0 i586 openSUSE Oss
libunibreak-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
libunibreak = 4.1
pkgconfig -

Provides

Name Value
liblinebreak-devel = 2.1
libunibreak-devel = 4.1-6.1
libunibreak-devel(x86-32) = 4.1-6.1
pkgconfig(libunibreak) = 4.1

Obsoletes

Name Value
liblinebreak-devel < 2.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libunibreak-devel-4.1-6.1.i586.rpm
Source Package libunibreak-4.1-6.1.src.rpm

Install Howto

  1. Add the Education repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/Education/openSUSE_Tumbleweed/ education
  2. Install libunibreak-devel rpm package:
    # zypper install libunibreak-devel

Files

Path
/usr/include/graphemebreak.h
/usr/include/linebreak.h
/usr/include/linebreakdef.h
/usr/include/unibreakbase.h
/usr/include/unibreakdef.h
/usr/include/wordbreak.h
/usr/lib/libunibreak.so
/usr/lib/pkgconfig/libunibreak.pc
/usr/share/doc/packages/libunibreak-devel/AUTHORS
/usr/share/doc/packages/libunibreak-devel/NEWS
/usr/share/doc/packages/libunibreak-devel/README.md

Changelog

2019-03-18 - lars@linux-schulserver.de - 4.1
- Update to version 4.1:
* Update the code and data to conform to Unicode 11.0.0, especially
adding support for extended pictographs in word and grapheme breaking
* ZWJ support has been much improved (it was broken)
* Make minor tweaks to the project files
- run tests - added:
+ LineBreakTest.txt,
+ WordBreakTest.txt and
+ GraphemeBreakTest.txt
from http://www.unicode.org/Public/UNIDATA/auxiliary/ to run the
tests offline
- spec file cleanup:
+ put documentation into devel package
+ use %%license macro, if possible
2018-02-14 - aloisio@gmx.com
- Update to version 4.0
* Update the code and data to conform to Unicode 9.0.0
* Add grapheme breaking support
* Tested and enhanced according to the Unicode test suite
* Make bug fixes
2015-06-25 - sleep_walker@suse.cz
- bump to 3.0
- removed libunibreak-1.1-destdir.patch as not needed
- patch was fixing symlink for static library and we're running
configure with --disable-static and failure is silently ignored so
dropping patch is safe and has no effect in result
2014-05-23 - trcs@gmx.com
- Add the function documentation comments to the header files
- Adjust code structure
- Applied spec-cleaner to the spec file
- Declare get_next_char_utf* will be changed to lb_get_next_char_utf*
- Define is_line_breakable to alias to is_breakable linebreakdef.h
- Make a few bug fixes
- Make get_lb_prop_lang static and not an exported symbol
- Move the declarations of get_next_char_utf* from linebreak.h to
- Update build files to support libtool 2.4
- Update the code and data to conform to Unicode 6.2.0
2013-08-01 - lars@linux-schulserver.de
- initial version 1.0

See Also

Package Description
libunibreak3-4.1-6.1.i586.rpm Unicode line-breaking library
libunibreak3-4.1-6.1.x86_64.rpm Unicode line-breaking library
libunshield0-1.4.2-2.22.x86_64.rpm A Program to Extract InstallShield Cabinet Files
libyaz-devel-32bit-5.22.0-115.22.x86_64.rpm Z39
libyaz-devel-5.22.0-115.22.i586.rpm Z39
libyaz-devel-5.22.0-115.22.x86_64.rpm Z39
libyaz5-32bit-5.22.0-115.22.x86_64.rpm Z39
libyaz5-5.22.0-115.22.i586.rpm Z39
libyaz5-5.22.0-115.22.x86_64.rpm Z39
libzlui0_99-0.99.4-36.28.i586.rpm Qt5 interface module for ZLibrary
libzlui0_99-0.99.4-36.28.x86_64.rpm Qt5 interface module for ZLibrary
lilypond-2.18.2-16.20.i586.rpm A typesetting system for music notation
lilypond-2.18.2-16.20.x86_64.rpm A typesetting system for music notation
lilypond-century-schoolbook-l-fonts-2.18.2-16.20.noarch.rpm Lilypond Century Schoolbook L fonts
lilypond-emmentaler-fonts-2.18.2-16.20.noarch.rpm Lilypond emmentaler fonts
Advertisement
Advertisement